Bug 604782 - [abrt] report-0.15-1.el6: socket.py:512:create_connection:error: [Errno 111] Connection refused
[abrt] report-0.15-1.el6: socket.py:512:create_connection:error: [Errno 111] ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Gavin Romig-Koch
David Kutálek
abrt_hash:c67713d8
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 13:59 EDT by David Kutálek
Modified: 2010-11-10 16:29 EST (History)
2 users (show)

See Also:
Fixed In Version: report-0.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:29:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.38 KB, text/plain)
2010-06-16 13:59 EDT, David Kutálek
no flags Details

  None (edit)
Description David Kutálek 2010-06-16 13:59:19 EDT
abrt version: 1.1.5
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/report ./dummy-report.txt
comment: Report should not traceback in this common situation, it should be handled more user friendly.
component: report
executable: /usr/bin/report
kernel: 2.6.32-33.el6.x86_64
package: report-0.15-1.el6
reason: socket.py:512:create_connection:error: [Errno 111] Connection refused
release: Red Hat Enterprise Linux release 6.0 Beta (Santiago)
time: 1276710075
uid: 501

backtrace
-----
socket.py:512:create_connection:error: [Errno 111] Connection refused

Traceback (most recent call last):
  File "/usr/bin/report", line 139, in <module>
    app = report.report(signature, io, **optsDict)
  File "/usr/lib64/python2.6/site-packages/report/__init__.py", line 471, in report
    retval = choice(signature, io)
  File "/usr/lib64/python2.6/site-packages/report/__init__.py", line 392, in <lambda>
    (lambda module, optionsDict: lambda signature, io : module.report(signature, io, optionsDict))(module, optionsDict)))
  File "/usr/lib64/python2.6/site-packages/report/plugins/ftp/__init__.py", line 57, in report
    return ftpFile(fileName, file(fileName), io, optionsDict)
  File "/usr/lib64/python2.6/site-packages/report/plugins/ftp/__init__.py", line 86, in ftpFile
    ftp.connect(netloc, port)
  File "/usr/lib64/python2.6/ftplib.py", line 131, in connect
    self.sock = socket.create_connection((self.host, self.port), self.timeout)
  File "/usr/lib64/python2.6/socket.py", line 512, in create_connection
    raise error, msg
error: [Errno 111] Connection refused

Local variables in innermost frame:
af: 2
canonname: ''
proto: 6
sock: <socket._socketobject object at 0x16ecd00>
msg: error(111, 'Connection refused')
host: 'localhost'
timeout: <object object at 0x7fc8049360f0>
res: (2, 1, 6, '', ('127.0.0.1', 21))
socktype: 1
sa: ('127.0.0.1', 21)
port: 21
address: ('localhost', 21)

How to reproduce
-----
1. run report
2. choose ftp
3. enter ftp://hostname where hostname is not listnening for ftp (eg. localhost without ftp server running)
Comment 1 David Kutálek 2010-06-16 13:59:21 EDT
Created attachment 424539 [details]
File: backtrace
Comment 3 RHEL Product and Program Management 2010-06-16 14:13:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Gavin Romig-Koch 2010-06-17 09:12:06 EDT
embarasing.
Comment 5 Gavin Romig-Koch 2010-06-17 16:04:55 EDT
pushed to fedora hosted src repo.
Comment 9 releng-rhel@redhat.com 2010-11-10 16:29:39 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.